Subject: Re: [PATCH 1/9] Define a structure for object IDs.

From: David Kastrup <[email-masked]>
Date: Mon, 05 May 2014 13:23:17 +0200

Andreas Schwab <[email-masked]> writes:

> David Kastrup <[email-masked]> writes:
>
>> Your premise is _not_ assumed in my statement.  My premise was "a
>> pointer to something of the same type of [the struct's] first member".
>> That does quite explicitly _not_ state that an object of struct type is
>> in existence.
>
> So you are not taking about struct object_id, and it's irrelevant to
> this thread.
>
> This thread is about objects of type struct object_id, and their address
> is always the same as the address of its first member.  Nothing else is
> relevant.

Have it your way.  I am too old for selective quotation games.

-- 
David Kastrup